Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class MessageImpl

    java.lang.Object
      org.apache.ode.bpel.engine.MessageImpl

All Implemented Interfaces:
  Message

    public class MessageImpl

extends java.lang.Object
implements Message

Constructor Summary
`MessageImpl(MessageDAO message)`

Method Summary
`org.w3c.dom.Element` | `getHeaderPart(java.lang.String partName)` Get a header part.
`java.util.Map<java.lang.String,org.w3c.dom.Node>` | `getHeaderParts()` Gets all header parts in the message.
`org.w3c.dom.Element` | `getMessage()` Get the message as an element.
`org.w3c.dom.Element` | `getPart(java.lang.String partName)` Get a message part.
`java.util.List<java.lang.String>` | `getParts()`
`javax.xml.namespace.QName` | `getType()` Get the message type.
`void` | `setHeaderPart(java.lang.String name, org.w3c.dom.Element content)` Set a header part element.
`void` | `setHeaderPart(java.lang.String name, java.lang.String content)` Set a header part value
`void` | `setMessage(org.w3c.dom.Element msg)` Set the message as an element.
`void` | `setPart(java.lang.String partName, org.w3c.dom.Element content)` Set the message part.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageImpl

    public MessageImpl(MessageDAO message)

Method Detail

### getPart

    public org.w3c.dom.Element getPart(java.lang.String partName)

  Description copied from interface: `Message`
  Get a message part.

  Specified by:
    `getPart` in interface `Message`
  Parameters:
    `partName` - name of the part
  Returns:
    named {@l

### setPart

    public void setPart(java.lang.String partName,
                        org.w3c.dom.Element content)

  Description copied from interface: `Message`
  Set the message part.

  Specified by:
    `setPart` in interface `Message`
  Parameters:
    `partName` - name of part
    `content` - part content

### getHeaderPart

    public org.w3c.dom.Element getHeaderPart(java.lang.String partName)

  Description copied from interface: `Message`
  Get a header part.

  Specified by:
    `getHeaderPart` in interface `Message`
  Parameters:
    `partName` - name of the header part
  Returns:
    named

### setHeaderPart

    public void setHeaderPart(java.lang.String name,
                              org.w3c.dom.Element content)

  Description copied from interface: `Message`
  Set a header part element.

  Specified by:
    `setHeaderPart` in interface `Message`
  Parameters:
    `name` - header part name
    `content` - header part element

### setHeaderPart

    public void setHeaderPart(java.lang.String name,
                              java.lang.String content)

  Description copied from interface: `Message`
  Set a header part value

  Specified by:
    `setHeaderPart` in interface `Message`
  Parameters:
    `name` - header part name
    `content` - header part text content

### setMessage

    public void setMessage(org.w3c.dom.Element msg)

  Description copied from interface: `Message`
  Set the message as an element. The name of the element is irrelevant, but it should have one child element for each message part. TODO: remove this, temporary hack.

  Specified by:
    `setMessage` in interface `Message`

### getMessage

    public org.w3c.dom.Element getMessage()

  Description copied from interface: `Message`
  Get the message as an element. The returned element will have one child element corresponding (and named after) each part in the message. TODO: remove this, temporary hack.

  Specified by:
    `getMessage` in interface `Message`

### getType

    public javax.xml.namespace.QName getType()

  Description copied from interface: `Message`
  Get the message type.

  Specified by:
    `getType` in interface `Message`
  Returns:
    message type.

### getParts

    public java.util.List<java.lang.String> getParts()

  Specified by:
    `getParts` in interface `Message`

### getHeaderParts

    public java.util.Map<java.lang.String,org.w3c.dom.Node> getHeaderParts()

  Description copied from interface: `Message`
  Gets all header parts in the message.

  Specified by:
    `getHeaderParts` in interface `Message`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD